## attic 0.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	./update_usage.sh
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/attic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/attic.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/attic"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/attic"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

gh-pages: html
	GH_PAGES_CLONE="`mktemp -d`" && \
	git clone --branch gh-pages `git rev-parse --show-toplevel` $$GH_PAGES_CLONE && \
	(cd $$GH_PAGES_CLONE && git rm -r *) && \
	cp -r _build/html/* $$GH_PAGES_CLONE && \
	(cd $$GH_PAGES_CLONE && git add -A && git commit -m 'Updated gh-pages' && git push) && \
	rm -rf $$GH_PAGES_CLONE

inotify: html
	while inotifywait -r . --exclude usage.rst --exclude '_build/*' ; do make html ; done

=== debian/changelog ===
attic (0.10-1) unstable; urgency=medium

  * New upstream version.
    - Checks excluded file patterns correctly.  closes: #737873.
  * Add Recommends on python3-llfuse.  closes: #737360.

 -- Clint Adams <clint@softwarefreedom.org>  Thu, 06 Feb 2014 11:46:40 -0500

attic (0.8.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Mon, 25 Nov 2013 09:06:12 -0500

attic (0.7-1) unstable; urgency=low

  * Initial release.  closes: #719526.

 -- Clint Adams <clint@softwarefreedom.org>  Mon, 12 Aug 2013 12:07:41 -0400

=== debian/control ===
Source: attic
Section: admin
Priority: extra
Maintainer: Clint Adams <clint@softwarefreedom.org>
Build-Depends: python3-dev, python3-openssl, python3-msgpack
Standards-Version: 3.9.5
Homepage: https://pythonhosted.org/Attic/
Vcs-Git: git://git.debian.org/collab-maint/attic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/attic.git;a=summary

Package: attic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, python3-openssl, python3-msgpack
Recommends: python3-llfuse
Description: deduplicating backup program
 Attic is a deduplicating backup program written in Python. The main
 goal of Attic is to provide an efficient and secure way to backup
 data. The data deduplication technique used makes Attic suitable for
 daily backups since only actual changes are stored.

=== debian/rules ===
#!/usr/bin/make -f

package=attic

INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

STRIP = strip

clean:
	$(checkdir)
	rm -f debian/substvars debian/files build-arch
	rm -rf debian/attic debian/tmp attic/__pycache__ build __pycache__

build: build-arch build-indep
build-indep:
build-arch:
	$(checkdir)
	python3 setup.py build
	#python3 -m attic.testsuite.run
	touch $@

binary: binary-indep binary-arch
binary-indep: checkroot
binary-arch: checkroot install
	$(INSTALL_DIR) debian/$(package)/DEBIAN \
		debian/$(package)/usr/share/doc/$(package)
	$(INSTALL_FILE) debian/copyright debian/$(package)/usr/share/doc/$(package)
	$(INSTALL_FILE) debian/changelog debian/$(package)/usr/share/doc/$(package)/changelog.Debian
	gzip -9f debian/$(package)/usr/share/doc/$(package)/changelog.Debian
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	$(STRIP) --remove-section=.comment --remove-section=.note debian/$(package)/usr/lib/python3/dist-packages/$(package)/*.so
endif
	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-shlibdeps debian/$(package)/usr/lib/python3/dist-packages/$(package)/*.so
	dpkg-gencontrol -Pdebian/$(package)
	dpkg --build debian/$(package) ..

install: build
	$(checkdir)
	python3 setup.py install --root="$(CURDIR)/debian/attic" --no-compile --install-layout=deb

define checkdir
	test -f setup.py && test -f debian/rules
endef

checkroot:
	$(checkdir)
	test 0 = `id -u`

.PHONY: binary binary-arch binary-indep build build-indep checkroot clean install

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/A/Attic/Attic-(.*)\.tar\.gz

## attic 0.13

=== debian/changelog ===
attic (0.13-1) unstable; urgency=medium

  * added self as maintainer (Closes: #743829)
  * merged changes from NMU
  * imported upstream version 0.13
  * debian/watch:
    - added uupdate to watch file
    - verifies pgp of upstream version
  * debian/compat: bump to 9
  * debian/control:
    - updated homepage, canonicalized VCS fields
    - replaced python3-openssl dependencies
      with libssl-dev (BD), libssl1.0.0 (D) (Closes: #736721)
    - added minimum versions for python (>= 3.2), ssl (>= 1.0.0),
      python3-msgpack (>= 0.1.10) based on upstream documentation
    - new build dependencies: debhelper, libacl1-dev, python3-sphinx
  * debian/copyright: updated
  * debian/rules: now uses dh, dh_python3, dh_sphinxdoc
  * documentation:
    - upstream changelog installed
    - sphinx documentation installed as html, added to doc-base
    - GitHub ribbons removed
    - manpage created
  * lintian override removed: package-uses-debhelper-but-lacks-build-depends

 -- Caitlin Matos <caitlin.matos@zoho.com>  Mon, 14 Jul 2014 22:50:45 -0400

attic (0.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Generate correct python interpreter dependencies with dh_python3
    (Closes: #750920)
    - Add dh-python to build-depends
    - Add python3:Depends
    - Add dh_python3 to debian/rules
    - Cat dpkg-shlibdeps and dh_python3 substvar files together
    - Adjust dpkg-gencontrol call to use the combined file
  * Add lintian override for package-uses-debhelper-but-lacks-build-depends
    since the package is not actually using debhelper

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jun 2014 14:57:18 -0400

=== debian/control ===
Source: attic
Section: admin
Priority: extra
Maintainer: Caitlin Matos <caitlin.matos@zoho.com> 
Build-Depends: debhelper (>= 9), dh-python,
		python3-dev, python3-msgpack (>= 0.1.10), python3-sphinx (>= 1.0.7),
		libssl-dev (>= 1.0.0), libacl1-dev
X-Python-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: https://attic-backup.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/attic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/attic.git

Package: attic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
	    python3-msgpack (>= 0.1.10), libssl1.0.0
Recommends: python3-llfuse
Description: deduplicating backup program
 Attic is a deduplicating backup program written in Python. The main
 goal of Attic is to provide an efficient and secure way to backup
 data. The data deduplication technique used makes Attic suitable for
 daily backups since only actual changes are stored.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://pypi.python.org/packages/source/A/Attic/Attic-(.*)\.tar\.gz debian uupdate

## attic 0.16

=== docs/Makefile ===
--- 
+++ 
@@ -140,3 +140,7 @@
 
 inotify: html
 	while inotifywait -r . --exclude usage.rst --exclude '_build/*' ; do make html ; done
+
+upload: html
+	rsync -va -e ssh _build/html/ sushi.edgewall.com:/srv/attic/www/
+

=== debian/changelog ===
attic (0.16-2) unstable; urgency=medium

  * added improved error messages (EPRINTF_MSG{,_PATH}) to armel patch
    (Closes: #805053)

 -- Caitlin Matos <caitlin.matos@zoho.com>  Fri, 13 Nov 2015 20:42:42 -0500

attic (0.16-1) unstable; urgency=medium

  * imported upstream version 0.16 (Closes: #776513, #787435)
  * updated standards to 3.9.6 (no changes)
  * updated watch file
    Thanks to Vincent Blut (Closes: #781113)
  * removed unnecessary libssl1.0.0 dependency (Closes: #803972)
  * updated manpage and documentation in README.Debian
  * added patch for memory alignment issue on armel (Closes: #797129)
  * changed priority from "extra" to "optional"

 -- Caitlin Matos <caitlin.matos@zoho.com>  Tue, 10 Nov 2015 16:09:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: attic
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Caitlin Matos <caitlin.matos@zoho.com> 
 Build-Depends: debhelper (>= 9), dh-python,
 		python3-dev, python3-msgpack (>= 0.1.10), python3-sphinx (>= 1.0.7),
 		libssl-dev (>= 1.0.0), libacl1-dev
 X-Python-Version: >= 3.2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://attic-backup.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/attic.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/attic.git
@@ -14,7 +14,7 @@
 Package: attic
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
-	    python3-msgpack (>= 0.1.10), libssl1.0.0
+	    python3-msgpack (>= 0.1.10)
 Recommends: python3-llfuse
 Description: deduplicating backup program
  Attic is a deduplicating backup program written in Python. The main

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The command 'sphinx-build' refers to the python2 version;
# currently there is no easier way to refer to the python3 version.
SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. $(SPHINXBUILD) -E -q -b html docs/ debian/attic/usr/share/doc/attic/html

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/Attic/Attic-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
